com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetProcedures_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetProcedures_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetProcedures_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetProcedures_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetProcedures_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetProcedures_Metadata
    extends Enum<MetadataAPIHelper.GetProcedures_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetProcedures_Metadata>

Define return columns for JDBC API getProcedures according to the spec

See Also:
  JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PROCEDURE_CAT`
`PROCEDURE_NAME`
`PROCEDURE_SCHEM`
`PROCEDURE_TYPE`
`REMARKS`
`RESERVE1`
`RESERVE2`
`RESERVE3`
`SPECIFIC_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetProcedures_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetProcedures_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROCEDURE_CAT

    public static final MetadataAPIHelper.GetProcedures_Metadata PROCEDURE_CAT

#### PROCEDURE_SCHEM

    public static final MetadataAPIHelper.GetProcedures_Metadata PROCEDURE_SCHEM

#### PROCEDURE_NAME

    public static final MetadataAPIHelper.GetProcedures_Metadata PROCEDURE_NAME

#### RESERVE1

    public static final MetadataAPIHelper.GetProcedures_Metadata RESERVE1

#### RESERVE2

    public static final MetadataAPIHelper.GetProcedures_Metadata RESERVE2

#### RESERVE3

    public static final MetadataAPIHelper.GetProcedures_Metadata RESERVE3

#### REMARKS

    public static final MetadataAPIHelper.GetProcedures_Metadata REMARKS

#### PROCEDURE_TYPE

    public static final MetadataAPIHelper.GetProcedures_Metadata PROCEDURE_TYPE

#### SPECIFIC_NAME

    public static final MetadataAPIHelper.GetProcedures_Metadata SPECIFIC_NAME

### Method Detail

#### values

    public static MetadataAPIHelper.GetProcedures_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetProcedures_Metadata c : MetadataAPIHelper.GetProcedures_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetProcedures_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetProcedures_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetProcedures_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetProcedures_Metadata>`